﻿package widget.transitions
{
	import flash.display.*;
	
	import gs.TweenMax;
	import gs.easing.*;	
	
	public class FadeInOut extends MovieClip implements ITransition
	{
		// playtime in seconds
		public var playTime:Number = 1;
		
		public function FadeInOut()
		{
		}
		
		public function doTransition(oldPhotoBitmapData:BitmapData, newPhotoBitmapData:BitmapData):void
		{
			var oldPhoto:Bitmap = new Bitmap(oldPhotoBitmapData);
			this.addChild(oldPhoto);
			
			var newPhoto:Bitmap = new Bitmap(newPhotoBitmapData);
			newPhoto.alpha = 0;
			this.addChild(newPhoto);	
			
			TweenMax.to(oldPhoto, playTime, {alpha: 0, ease:Quad.easeIn});
			TweenMax.to(newPhoto, playTime, {alpha: 1, ease:Quad.easeOut});
		}
		
		public function destroyTransition():void
		{
			// no need to destroy anything.
		}		
	}
}